"use strict";

const Promise = require("bluebird");
const pipe = require("@ppstreams/pipe");
const rangeNumbers = require("@ppstreams/range-numbers");
const collect = require("./");

return Promise.try(() => {
	return pipe([
		rangeNumbers(0, 20),
		collect()
	]).read();
}).then((result) => {
	console.log(result);
	// [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19 ]
});
